> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fourthwall.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Gift Purchase

> Returns gift purchase details by id



## OpenAPI

````yaml GET /open-api/v1.0/gift-purchase/{giftPurchaseId}
openapi: 3.1.0
info:
  title: Fourthwall APIs
  description: Service used for management of orders, carts, and payments.
  termsOfService: https://fourthwall.com/terms-of-service
  contact:
    name: Backend team
    url: https://fourthwall.com
    email: backend@fourthwall.com
  version: unspecified
servers:
  - url: https://api.fourthwall.com
    description: Production server
security: []
externalDocs:
  description: OpenAPI documentation
  url: https://docs.fourthwall.com
paths:
  /open-api/v1.0/gift-purchase/{giftPurchaseId}:
    get:
      tags:
        - Twitch gift purchases
      summary: Get gift purchase by id
      description: Returns gift purchase details by id
      operationId: get-gift-purchase
      parameters:
        - name: giftPurchaseId
          in: path
          required: true
          schema:
            type: string
          example: giv_EdJvIXu3SEiXe_QkPavHSA
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/com.fourthwall.openapi.model.GiftPurchaseV1
        '404':
          description: >-
            Possible errors: `GIVEAWAY_NOT_FOUND`, `OFFER_NOT_FOUND_ERROR`,
            `OFFER_VARIANT_NOT_FOUND_ERROR`,
            `SHOP_TEAM_MEMBER_SHOP_NOT_FOUND_ERROR`
          content:
            application/json:
              examples:
                giveaway-not-found:
                  value:
                    code: GIVEAWAY_NOT_FOUND
                    shopId: <shopid?>
                    giveawayId: <giveawayid>
                    giveawayFriendlyId: <giveawayfriendlyid?>
                    email: <string?>
                offer-not-found-error:
                  value:
                    code: OFFER_NOT_FOUND_ERROR
                    offerId: <offerid>
                offer-variant-not-found-error:
                  value:
                    code: OFFER_VARIANT_NOT_FOUND_ERROR
                    offerVariantId: <offervariantid>
                shop-team-member-shop-not-found-error:
                  value:
                    code: SHOP_TEAM_MEMBER_SHOP_NOT_FOUND_ERROR
                    shopId: <shopid>
      security:
        - basicAuth: []
      externalDocs:
        url: >-
          https://docs.fourthwall.com/api-reference/platform/gift-purchases/get-gift-purchase
components:
  schemas:
    com.fourthwall.openapi.model.GiftPurchaseV1:
      type: object
      properties:
        id:
          type: string
          example: giv_EdJvIXu3SEiXe_QkPavHSA
        friendlyId:
          type: string
          example: D3XZFWPP
        shopId:
          type: string
          example: sh_c689d374-22ca-43d3-8d29-9ef0805cc4cb
        offer:
          $ref: >-
            #/components/schemas/com.fourthwall.openapi.model.OfferAbstractV1.OfferGiftPurchaseV1
        amounts:
          $ref: >-
            #/components/schemas/com.fourthwall.openapi.model.GiftPurchaseV1.Amounts
        email:
          type: string
          example: supporter@fourthwall.com
        username:
          type: string
          example: Johnny123
        message:
          type: string
          example: Sample message
        quantity:
          type: integer
          format: int32
        gifts:
          type: array
          items:
            oneOf:
              - $ref: >-
                  #/components/schemas/com.fourthwall.openapi.model.GiftPurchaseV1.Gift.Available
              - $ref: >-
                  #/components/schemas/com.fourthwall.openapi.model.GiftPurchaseV1.Gift.Cancelled
              - $ref: >-
                  #/components/schemas/com.fourthwall.openapi.model.GiftPurchaseV1.Gift.ChangedToPromotion
              - $ref: >-
                  #/components/schemas/com.fourthwall.openapi.model.GiftPurchaseV1.Gift.Redeemed
        createdAt:
          type: string
          format: date-time
      required:
        - amounts
        - createdAt
        - email
        - friendlyId
        - gifts
        - id
        - offer
        - quantity
        - shopId
      title: Gift Purchase
    com.fourthwall.openapi.model.OfferAbstractV1.OfferGiftPurchaseV1:
      type: object
      properties:
        id:
          type: string
          example: 00aa4abd-5778-4199-8161-0b49b2f212e5
        name:
          type: string
          example: My t-shirt
        slug:
          type: string
          example: my-t-shirt
        description:
          type: string
          example: My t-shirt description
        primaryImage:
          $ref: '#/components/schemas/com.fourthwall.openapi.model.Image'
      required:
        - description
        - id
        - name
        - slug
      title: Offer Gift Purchase
    com.fourthwall.openapi.model.GiftPurchaseV1.Amounts:
      type: object
      properties:
        subtotal:
          $ref: '#/components/schemas/Money'
        tax:
          $ref: '#/components/schemas/Money'
        total:
          $ref: '#/components/schemas/Money'
        profit:
          $ref: '#/components/schemas/Money'
        prepaidShipping:
          $ref: '#/components/schemas/Money'
      required:
        - prepaidShipping
        - profit
        - subtotal
        - tax
        - total
      title: Amounts
    com.fourthwall.openapi.model.GiftPurchaseV1.Gift.Available:
      allOf:
        - $ref: >-
            #/components/schemas/com.fourthwall.openapi.model.GiftPurchaseV1.Gift
        - type: object
          properties:
            id:
              type: string
              example: gft_EdJvIXu3SEiXe_QkPavHSA
            winner:
              $ref: >-
                #/components/schemas/com.fourthwall.openapi.model.GiftPurchaseV1.Winner
        - type: object
          properties:
            status:
              type: string
              const: AVAILABLE
      required:
        - id
      title: Available
    com.fourthwall.openapi.model.GiftPurchaseV1.Gift.Cancelled:
      allOf:
        - $ref: >-
            #/components/schemas/com.fourthwall.openapi.model.GiftPurchaseV1.Gift
        - type: object
          properties:
            id:
              type: string
              example: gft_EdJvIXu3SEiXe_QkPavHSA
            winner:
              $ref: >-
                #/components/schemas/com.fourthwall.openapi.model.GiftPurchaseV1.Winner
        - type: object
          properties:
            status:
              type: string
              const: CANCELLED
      required:
        - id
      title: Cancelled
    com.fourthwall.openapi.model.GiftPurchaseV1.Gift.ChangedToPromotion:
      allOf:
        - $ref: >-
            #/components/schemas/com.fourthwall.openapi.model.GiftPurchaseV1.Gift
        - type: object
          properties:
            id:
              type: string
              example: gft_EdJvIXu3SEiXe_QkPavHSA
            promotionId:
              type: string
              example: prm_EdJvIXu3SEiXe_QkPavHSA
            winner:
              $ref: >-
                #/components/schemas/com.fourthwall.openapi.model.GiftPurchaseV1.Winner
        - type: object
          properties:
            status:
              type: string
              const: CHANGED_TO_PROMOTION
      required:
        - id
        - promotionId
        - winner
      title: Changed To Promotion
    com.fourthwall.openapi.model.GiftPurchaseV1.Gift.Redeemed:
      allOf:
        - $ref: >-
            #/components/schemas/com.fourthwall.openapi.model.GiftPurchaseV1.Gift
        - type: object
          properties:
            id:
              type: string
              example: gft_EdJvIXu3SEiXe_QkPavHSA
            orderId:
              type: string
              example: 00aa4abd-5778-4199-8161-0b49b2f212e5
            orderFriendlyId:
              type: string
              example: D3XZFWPP
            winner:
              $ref: >-
                #/components/schemas/com.fourthwall.openapi.model.GiftPurchaseV1.Winner
        - type: object
          properties:
            status:
              type: string
              const: REDEEMED
      required:
        - id
        - orderFriendlyId
        - orderId
        - winner
      title: Redeemed
    com.fourthwall.openapi.model.Image:
      type: object
      properties:
        id:
          type: string
          example: 00aa4abd-5778-4199-8161-0b49b2f212e5
        url:
          type: string
          example: https://fourthwall.com/image.png
        width:
          type: integer
          format: int32
          description: The original width of the image in pixels.
          example: 800
        height:
          type: integer
          format: int32
          description: The original height of the image in pixels.
          example: 600
        transformedUrl:
          type: string
          description: >-
            Transformed URL with applied image processing (e.g., resizing,
            optimization)
          example: https://fourthwall.com/image.png
      required:
        - height
        - id
        - transformedUrl
        - url
        - width
      title: Image
    Money:
      type: object
      properties:
        value:
          type: number
          example: 10
          minimum: 0
        currency:
          type: string
          example: USD
      required:
        - currency
        - value
      title: Money
    com.fourthwall.openapi.model.GiftPurchaseV1.Gift:
      discriminator:
        propertyName: status
        mapping:
          REDEEMED:
            $ref: >-
              #/components/schemas/com.fourthwall.openapi.model.GiftPurchaseV1.Gift.Redeemed
          AVAILABLE:
            $ref: >-
              #/components/schemas/com.fourthwall.openapi.model.GiftPurchaseV1.Gift.Available
          CANCELLED:
            $ref: >-
              #/components/schemas/com.fourthwall.openapi.model.GiftPurchaseV1.Gift.Cancelled
          CHANGED_TO_PROMOTION:
            $ref: >-
              #/components/schemas/com.fourthwall.openapi.model.GiftPurchaseV1.Gift.ChangedToPromotion
      properties:
        status:
          type: string
      required:
        - status
      title: Gift
    com.fourthwall.openapi.model.GiftPurchaseV1.Winner:
      type: object
      properties:
        email:
          type: string
          example: supporter@fourthwall.com
        username:
          type: string
          example: Johnny123
        selectedAt:
          type: string
          format: date-time
          example: '2020-08-13T09:05:36.939Z'
      required:
        - selectedAt
      title: Winner
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````